| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | List of all members
IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType > Class Template Referenceabstract

Base class for various DTO (Data Transfer Objects) for scalar function controllers. Used to store a state of a scalar function. More...

Inheritance diagram for IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >:
[legend]
Collaboration diagram for IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >:
[legend]

## Public Member Functions
| ScalarFunctionScriptDtoBase ()
| Default constructor, sets IsNull to true. More...
| ScalarFunctionScriptDtoBase (int spaceDimension)
| Constructor, prepares the current DTO for storing a scalar function of the specified dimension. More...
abstract FunctionControllerType | CreateScalarFunctionController (int dimension)
| Creates and returns a new scalar function in the space of specific dimension. More...
override FunctionControllerType | CreateObject ()
| Creates and returns a new vector of the specified type and dimension. More...

## Protected Member Functions
override void | CopyFromPlain (ScalarFunctionScriptController functionController)
| Copies data to the current DTO from a scaalr function object. More...
override void | CopyToPlain (ref ScalarFunctionScriptController functionContrller)
| Copies data from the current DTO to a scalar function object. More...

## Properties
virtual int | Dimension`[get, set]`
| Dimension of the parameter space. More...
virtual string | Name`[get, set]`
| Scalar function name. More...
virtual string | Description`[get, set]`
| Scalar function description. More...
virtual string[] | ParameterNames`[get, set]`
| Names of function parameters. More...
virtual bool | IsValueDefined`[get, set]`
| Whether function value is defined for the represented function. More...
virtual bool | IsGradientDefined`[get, set]`
| Whether function gradient is defined for the represented function. More...
virtual string | ValueDefinitonString`[get, set]`
| Definition of function value. More...
virtual string[] | GradientDefinitionStrings`[get, set]`
| Gradient definition strings (separately for each gradient component). More...
virtual string | ZType`[get, set]`
virtual InputOutputDataDefinitonDto | ZDataDefinition`[get, set]`

## Detailed Description

Base class for various DTO (Data Transfer Objects) for scalar function controllers. Used to store a state of a scalar function.

Beside as data transfer object, this class provides a variety of manipulations that are necessary when defining scalar functions from scripts (user definitions).

Template Parameters

  FunctionControllerType | Type parameter specifying the specific scalar function controller type for which concrete DTO is designed.

$A Igor Feb16;

Type Constraints

  FunctionControllerType | : | ScalarFunctionScriptController |

## Constructor & Destructor Documentation

IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.ScalarFunctionScriptDtoBase | ( |  | ) |
| inline

Default constructor, sets IsNull to true.

IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.ScalarFunctionScriptDtoBase | ( | int | spaceDimension | ) |
| inline

Constructor, prepares the current DTO for storing a scalar function of the specified dimension.

Parameters

  spaceDimension | Dimension of a vector that is stored in the current DTO.

## Member Function Documentation

abstract FunctionControllerType IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.CreateScalarFunctionController | ( | int | dimension | ) |
| pure virtual

Creates and returns a new scalar function in the space of specific dimension.

Parameters

  dimension | Vector dimension.

Implemented in IG.Num.ScalarFunctionScriptDto.

override FunctionControllerType IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.CreateObject | ( |  | ) |
| inline

Creates and returns a new vector of the specified type and dimension.

override void IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.CopyFromPlain | ( | ScalarFunctionScriptController | functionController | ) |
| inline protected

Copies data to the current DTO from a scaalr function object.

Parameters

  functionController | Scalar function object from which data is copied.

References IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.Description, IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.Dimension, IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.GradientDefinitionStrings, IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.IsGradientDefined, IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.IsValueDefined, IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.Name, IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.ParameterNames, and IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.ValueDefinitonString.

override void IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.CopyToPlain | ( | ref ScalarFunctionScriptController | functionContrller | ) |
| inline protected

Copies data from the current DTO to a scalar function object.

Parameters

  functionContrller | Scalar function object that data is copied to.

## Property Documentation

virtual int IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.Dimension
| get set

Dimension of the parameter space.

virtual string IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.Name
| get set

Scalar function name.

virtual string IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.Description
| get set

Scalar function description.

virtual string [] IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.ParameterNames
| get set

Names of function parameters.

virtual bool IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.IsValueDefined
| get set

Whether function value is defined for the represented function.

virtual bool IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.IsGradientDefined
| get set

Whether function gradient is defined for the represented function.

virtual string IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.ValueDefinitonString
| get set

Definition of function value.

virtual string [] IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.GradientDefinitionStrings
| get set

Gradient definition strings (separately for each gradient component).

virtual string IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.ZType
| get set

virtual InputOutputDataDefinitonDto IG.Num.ScalarFunctionScriptDtoBase< FunctionControllerType >.ZDataDefinition
| get set

Referenced by IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.SaveJson().

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/ScalarFunctionDto.cs